View Issue Details

IDProjectCategoryView StatusLast Update
11982Bug reportsAccessibilitypublic2017-10-12 09:17
Reporternmisic Assigned Tomarkusfluer 
PriorityimmediateSeveritycrash 
Status closedResolutionfixed 
Product Version2.55.x 
Fixed in Version2.56.x 
Summary11982: Security question not working
DescriptionHi,

security question on continuing survey always shows that it's wrong. The link I got in email works tho.

Steps To ReproduceLoad in lss file and try to save work and continue later.
TagsNo tags attached.
Complete LimeSurvey version number (& build)2.55.1
I will donate to the project if issue is resolvedNo
BrowserChrome, FF
Database & DB-Versionmysql Ver 14.14 Distrib 5.5.53, for debian-linux-gnu (x86_64) using readline 6.3
Server OS (if known)debian
Webserver software & version (if known)apache2
PHP VersionPHP 5.6.27-0+deb8u1 (cli) (built: Oct 15 2016 15:53:28)

Activities

nmisic

nmisic

2016-12-06 13:25

reporter  

LouisGac

LouisGac

2016-12-06 17:01

developer   ~42412

Last edited: 2016-12-08 17:50

View 2 revisions

ok so it's when accessing the survey, without using the code in the URL

Undefined variable: sLoadsecurity
application/controllers/survey/index.php(336)



           $captchaCorrect = $captcha->validate( $sLoadsecurity, false);

M_Ritter

M_Ritter

2016-12-13 10:05

reporter   ~42530

Same here with a running survey (https://vergabe.r2017.org/eigenerklaerung/)
We can reproduce it with many clients from many locations.


Is there a workaround for the problem and when will it be fixed?
ollehar

ollehar

2016-12-13 11:24

administrator   ~42532

typo: sLoadsecurity --> sLoadSecurity
LouisGac

LouisGac

2016-12-13 11:26

developer   ~42533

problem is deeper
markusfluer

markusfluer

2016-12-13 12:15

administrator   ~42535

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21760
markusfluer

markusfluer

2016-12-13 14:15

administrator   ~42538

Here is a patch just untar it in the limesurvey folder
patch_issue_11982.tar.gz (23,633 bytes)
c_schmitz

c_schmitz

2017-01-06 12:15

administrator   ~42654

New version released.

Related Changesets

LimeSurvey: master 723cc108

2016-12-13 12:15:10

markusfluer

Details Diff
Fixed issue 11982: Security question not working
Dev: Reset the old captcha to the new one
Affected Issues
11982
mod - application/controllers/RegisterController.php Diff File
mod - application/controllers/survey/index.php Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - application/libraries/Load_answers.php Diff File

Issue History

Date Modified Username Field Change
2016-12-06 13:25 nmisic New Issue
2016-12-06 13:25 nmisic File Added: limesurvey_survey_325258.lss
2016-12-06 16:50 LouisGac Sticky Issue No => Yes
2016-12-06 16:59 LouisGac Assigned To => LouisGac
2016-12-06 16:59 LouisGac Status new => resolved
2016-12-06 16:59 LouisGac Resolution open => unable to reproduce
2016-12-06 17:01 LouisGac Note Added: 42412
2016-12-06 17:03 LouisGac Assigned To LouisGac => markusfluer
2016-12-07 12:44 LouisGac Status resolved => new
2016-12-07 12:44 LouisGac Resolution unable to reproduce => reopened
2016-12-08 17:50 LouisGac Note Edited: 42412 View Revisions
2016-12-13 10:05 M_Ritter Note Added: 42530
2016-12-13 10:15 LouisGac Priority none => immediate
2016-12-13 10:15 LouisGac Severity minor => crash
2016-12-13 11:24 ollehar Note Added: 42532
2016-12-13 11:26 LouisGac Note Added: 42533
2016-12-13 12:15 markusfluer Changeset attached => LimeSurvey master 723cc108
2016-12-13 12:15 markusfluer Note Added: 42535
2016-12-13 14:10 markusfluer Status new => resolved
2016-12-13 14:10 markusfluer Resolution reopened => fixed
2016-12-13 14:10 markusfluer Fixed in Version => 2.56.x
2016-12-13 14:15 markusfluer File Added: patch_issue_11982.tar.gz
2016-12-13 14:15 markusfluer Note Added: 42538
2017-01-06 12:15 c_schmitz Note Added: 42654
2017-01-06 12:15 c_schmitz Status resolved => closed
2017-08-15 16:58 markusfluer Status closed => resolved
2017-09-22 15:41 c_schmitz Sticky Issue Yes => No
2017-10-12 09:17 c_schmitz Status resolved => closed